-- Plugin definitions and loading
local cmd = vim.cmd

-- Rerun packer install when this file changes
cmd([[
  augroup packer_user_config
    autocmd!
    autocmd BufWritePost plugins.lua source <afile> | PackerCompile
  augroup end
]])

-- Load packer
cmd([[packadd packer.nvim]])

-- Get plugins
return require("packer").startup(function(use)
  -- Dogfood packer
  use({"wbthomason/packer.nvim", opt = true})

  -- LSP stuff
  use({"neovim/nvim-lspconfig", config = function() require("plugins.lsp") end})
end)
